package cz.fi.muni.pa165.dao;


import cz.fi.muni.pa165.entity.BaseEntity;

import java.util.List;
import java.util.UUID;

/**
 * @author Dominik Kozubík
 */
public interface BaseDao <Entity extends BaseEntity> {

    void create(Entity t);

    List<Entity> findAll();

    Entity findById(UUID id);

    void remove(Entity t);
}
