package cz.fi.muni.pa165.entity;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

/**
 * @author mvalko
 */

@Entity
public class TeamManagerEntity extends PersonEntity{

    @OneToOne
    @JoinColumn(name = "team_id")
    private TeamEntity team;

    public TeamManagerEntity() {
    }

    public TeamManagerEntity(String name){
        super(name);
    }

    public void setTeam(TeamEntity team) {
        this.team = team;
    }

    public TeamEntity getTeam() {
        return team;
    }

    public void signForTournament(TournamentEntity tournament) {
        tournament.signTeamForTournament(this.team);
    }

    public void aVoid(PlayerEntity newPlayer){
        this.team.addPlayerToTheTeam(newPlayer);
    }
}
