package cz.fi.muni.pa165.entity;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

/**
 * @author mvalko
 */

@Entity
public class PlayerEntity extends PersonEntity {

    @ManyToOne
    @JoinColumn(name = "team_id")
    private TeamEntity team;

    private int killStat;

    private int deathStat;

    private int assistStat;

    public PlayerEntity() {
    }

    public PlayerEntity(String name){
        super(name);
    }

    public TeamEntity getTeam() {
        return team;
    }

    public void setTeam(TeamEntity team) {
        this.team = team;
    }

    public int getKillStat() {
        return killStat;
    }

    public void setKillStat(int killStat) {
        this.killStat = killStat;
    }

    public int getDeathStat() {
        return deathStat;
    }

    public void setDeathStat(int deathStat) {
        this.deathStat = deathStat;
    }

    public int getAssistStat() {
        return assistStat;
    }

    public void setAssistStat(int assistStat) {
        this.assistStat = assistStat;
    }
}
